commit: 21f641804155c7207670a2e5e814657d5089d619
Author: Douglas Agbeve <douglas <AT> agbeve <DOT> com>
AuthorDate: Thu May 6 13:05:21 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 1 11:43:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21f64180
app-misc/grc: updating to version 1.12
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Douglas Agbeve <douglas <AT> agbeve.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-misc/grc/Manifest | 1 +
app-misc/grc/grc-1.12.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/app-misc/grc/Manifest b/app-misc/grc/Manifest
index bb840e7488a..03a331fdbcf 100644
--- a/app-misc/grc/Manifest
+++ b/app-misc/grc/Manifest
@@ -1 +1,2 @@
DIST grc-1.11.3.tar.gz 45205 BLAKE2B
852f58145fe11ceab3e6222b61c18cdb18a09f0666f28df4b8b8a8bc42a22dd01ae7e2bcf6232a6aa0d1f42ac233148f694a0eafbd995fbd5d147e06480f7abf
SHA512
abc756a21e039c136bbf9be1ef7c1890aa2415ac21e87fb7377c90ced1def2dcaf9ce5cce22edeac68db20f6d6ccea31a2ec57044a37ba200ff79273bf11d8cf
+DIST grc-1.12.tar.gz 48744 BLAKE2B
dd7ab01739dfe637c4bf8b1d877e606869f9d11fed33112b499f72714ebb383e7dcbf80f160ac87d07bdc079ff7d589b9ad10b2f005c801fd13bb305466f1f8c
SHA512
37ada5c7293bd0240c18b60cd7c60990e26e91b93fe9fb3ba1198c9d665647570191e985ab29de2b6554166ef703d81f449b486e83178b35df302836b5abb8c7
diff --git a/app-misc/grc/grc-1.12.ebuild b/app-misc/grc/grc-1.12.ebuild
new file mode 100644
index 00000000000..7b18a5b7a6f
--- /dev/null
+++ b/app-misc/grc/grc-1.12.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{3..10} )
+inherit python-r1
+
+DESCRIPTION="Generic Colouriser beautifies your logfiles or output of commands"
+HOMEPAGE="http://kassiopeia.juls.savba.sk/~garabik/software/grc.html"
+SRC_URI="https://github.com/garabik/grc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+DOCS=( README.markdown INSTALL TODO debian/changelog CREDITS Regexp.txt )
+
+src_prepare() {
+ sed \
+ -e 's:#! :#!:g' \
+ -e 's:3$::g' \
+ -i grc grcat || die
+ default
+}
+
+src_install() {
+ python_foreach_impl python_doscript grc grcat
+
+ einstalldocs
+
+ insinto /usr/share/grc
+ doins \
+ contrib/mrsmith/conf.* \
+ colourfiles/conf.* \
+ grc.sh \
+ grc.fish \
+ grc.zsh
+
+ insinto /etc
+ doins grc.conf
+ doman *.1
+}
+
+pkg_postinst() {
+ elog
+ elog "Shell specific configurations can be found in
${ROOT}/usr/share/grc"
+ elog "Be sure to symlink one to use grc globally:"
+ elog
+ elog " ln -s ${ROOT}/usr/share/grc/grc.SHELL
${ROOT}/etc/profile.d/grc.sh"
+ elog
+ elog "Replace 'SHELL' in the above command with one of: bashrc, fish,
zsh."
+ elog "Afterwards, use '. ${ROOT}/etc/profile' to activate grc in
existing"
+ elog "shell sessions."
+ elog
+}